antiprism-0.23
Up Next

# conv_hull - convex hulls (using Qhull)

Usage | Examples | Notes

## Usage

    Usage: conv_hull [options] [input_file]

    Read a file in OFF format and make a convex hull (using Qhull). If
    input_file is not given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -a        append the convex hull to the input file
      -Q <args> additional arguments to pass to qhull (unsupported, may not
                work, check output)
      -o <file> write output to file (default: write to standard output)

## Examples

cube.txt is a file containg eight cube vertices ±1, ,±1, ±1. Make the edges with

    conv_hull -o cube.off cube.txt

Triangulate the output, so each square also has a diagonal edge

    conv_hull -Q QJ -o cube.off cube.txt

See Notes below.

## Notes

The conv_hull program is a thin wrapper around Qhull.

The Antiprism programs will read three dimensional Qhull OFF output, so it is also convenient to use the Qhull programs directly. This is recommended if you want to use additional options. Notice that

    conv_hull -Q Qt -o cube.off cube.txt
    conv_hull -a -Q QJ -o cube.off cube.txt

Do not give the expected results.

Antiprism includes Qhull source code. The original code can be obtained from http://www.qhull.org/.

Up: Programs and Documentation
Next: pol_recip - polar reciprocals (duals)